using Cryville.Crtr.Browsing;
using Cryville.Crtr.Extensions.Bestdori;
using Cryville.Crtr.Extensions.Malody;
using Cryville.Crtr.Extensions.osu;
using Cryville.Crtr.Extensions.Quaver;
using System.Collections.Generic;

namespace Cryville.Crtr.Extensions {
	public class Extensions : ExtensionInterface {
		public override IEnumerable<ResourceConverter> GetResourceConverters() {
			return new ResourceConverter[] {
				new BestdoriChartConverter(),
				new MalodyChartConverter(),
				new osuChartConverter(),
				new QuaverChartConverter(),
			};
		}

		public override IEnumerable<LocalResourceFinder> GetResourceFinders() {
			return new LocalResourceFinder[] {
				new MalodyChartFinder(),
				new osuChartFinder(),
				new QuaverChartFinder(),
			};
		}
	}
}
